package ru.yandex.canvas.service.scraper;

import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.Nullable;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(HttpStatus.BAD_REQUEST)
public class ScraperBadUrlException extends ScraperException {
    public ScraperBadUrlException(@NonNls String message, @Nullable String systemInfo, Throwable cause) {
        super(message, systemInfo, cause);
    }

    public ScraperBadUrlException(@NonNls String message, @Nullable String systemInfo) {
        super(message, systemInfo);
    }
}
